### Constructor

# Gtk MessageDialog new

#### Declaration [src]

    GtkWidget*
    gtk_message_dialog_new (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GtkMessageType type,
      GtkButtonsType buttons,
      const char* message_format,
      ...
    )

#### Description [src]

Creates a new message dialog.

This is a simple dialog with some text the user may want to see. When the user clicks a button a “response” signal is emitted with response IDs from `GtkResponseType`. See `GtkDialog` for more details.

#### Parameters

`parent` | `GtkWindow`
| Transient parent.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `GtkDialogFlags`
| Flags.
`type` | `GtkMessageType`
| Type of message.
`buttons` | `GtkButtonsType`
| Set of buttons to use.
`message_format` | `const char*`
| Printf()-style format string.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`...` | ``
| Arguments for `message_format`.

#### Return value

Returns: | `GtkWidget`
| A new `GtkMessageDialog`.
| The data is owned by the called function.